---------------------------------------------------------------------------------
-- INITIALISE_Level. Standard level event
---------------------------------------------------------------------------------

function EVENTINITIALISE_Level()
	-- load the building and business file
	C_RunScript("scripts\\maps\\developedmap.lua");			-- apartments in the second layer beyong the park
	-- load the initialprefs file
	C_RunScript("scripts\\scenario12\\initialpref.lua");

----------------------------------------------------------------
-- Choose one of the following to be the objective for the level
----------------------------------------------------------------

--				 add ,0 if not game over if all are dead

	Game.SetObjective(OBJECTIVE_PAPERWEALTH_BY_AMOUNT, 20000);	


--	Prompt list ------------------

--				No	Day	Hour Min

	if Game.GetDifficulty() == DIFFICULTY_EASY then
		RegisterPrompt(1, 1, 12, 00);
		RegisterPrompt(2, 1, 17, 00);
	end;
	
----------------------------------
	
end;


---------------------------------------------------------------------------------
-- Level. Standard level event.
---------------------------------------------------------------------------------
function EVENT_Level()
end;



--	Prompt data ------------------

function EVENT_CreatePrompt(a)
   PromptHeading = ID_TIP_PROMPT_12_TITLE_1 + ((a-1)*2);
	body = PromptHeading+1;

	if a == 1 then
		Interface.CreatePrompt( PromptHeading, body, 1); --"Tip - Empire Value", "To find out your 'Empire Value', cycle through the topics in the 'Player Comparison Panel' until you come to 'Empire Value'.", 1);
	elseif a == 2 then
		Interface.CreatePrompt( PromptHeading, body, 1); --"Tip - Fear of Spending?", "Because business values are added to your 'Empire Value' you will not damage your chance of success by building. In fact, as long as your new business is successful, your 'Empire Value' will rise as you expand.", 1);
	end
	Game.Pause()
end;

---------------------------------

---------------------------------------------------------------------------------
-- HourlyUpdate event. Called everytime the game calendar ticks another hour over
---------------------------------------------------------------------------------

function CATCHEVENT_HourlyUpdate(a) -- takes the current hour as an argument
	if People.NumberInCity() <900 then
		if a == 14 then
--						  No		AGE				Class			Prefs				
			People.Create(1, 	AGE_ADULT, 			CLASS_LOW,		-1);
			People.Create(0, 	AGE_PENSIONER,		CLASS_LOW,	 	-1);
			People.Create(1, 	AGE_CHILD, 			CLASS_LOW,	 	-1);
			People.Create(1, 	AGE_TOURIST,		CLASS_LOW,	 	-1);
			People.Create(0, 	AGE_TEENAGER,		CLASS_LOW,	 	-1);
			
			People.Create(0, 	AGE_ADULT, 			CLASS_MEDIUM,	-1);
			People.Create(0, 	AGE_PENSIONER,		CLASS_MEDIUM, 	-1);
			People.Create(0, 	AGE_CHILD, 			CLASS_MEDIUM, 	-1);
			People.Create(1, 	AGE_TOURIST,		CLASS_MEDIUM, 	-1);
			People.Create(1, 	AGE_TEENAGER,		CLASS_MEDIUM, 	-1);
			
			People.Create(0, 	AGE_ADULT, 			CLASS_HIGH,		-1);
			People.Create(1, 	AGE_PENSIONER,		CLASS_HIGH, 	-1);
			People.Create(0, 	AGE_CHILD, 			CLASS_HIGH, 	-1);
			People.Create(2, 	AGE_TOURIST,		CLASS_HIGH, 	-1);
			People.Create(0, 	AGE_TEENAGER,		CLASS_HIGH, 	-1);
		end;
	end;
end;

function CATCHEVENT_InterfacePromptDismiss() -- takes the current hour as an argument
	Game.Unpause()
end;
